VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Ovf::IpAllocationParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::IpAllocationParams:

## Classes
class | IpAllocationPolicy
class | IpAllocationScheme
class | IpProtocol

## Avaliable Methods
public method | set_supported_ip_protocol ()
public method | get_supported_ip_protocol ()
public method | set_type ()
public method | set_supported_allocation_scheme ()
public method | get_supported_ip_allocation_policy ()
public method | set_ip_protocol ()
public method | get_ip_protocol ()
public method | set_supported_ip_allocation_policy ()
public method | get_ip_allocation_policy ()
public method | get_supported_allocation_scheme ()
public method | get_type ()
public method | new ()
public method | set_ip_allocation_policy ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::IpAllocationParams` class specifies how IP addresses are allocated to OVF properties. In particular, it informs the deployment platform whether the guest supports IPv4, IPv6, or both. It also specifies whether the IP addresses can be obtained through DHCP or through the properties provided in the OVF environment.

Ovf Property elements are exposed to the guest software through the OVF environment. Each Property element exposed in the OVF environment shall be constructed from the value of the ovf:key attribute. A Property element contains a key/value pair, it may optionally specify type qualifiers using the ovf:qualifiers attribute with multiple qualifiers separated by commas.

The settings in `Com::Vmware::Vcenter::Ovf::IpAllocationParams` class are global to a deployment. Thus, if a virtual machine is part of a virtual appliance, then its settings are ignored and the settings for the virtual appliance is used.

This information is based on the vmw:IpAssignmentSection in OVF package.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_ip_allocation_policy | ( |  | ) |

Gets the value of 'ip_allocation_policy' property.

Return values

  ip_allocation_policy | - The current value of the field. Specifies how IP allocation is done through an IP Pool. This is typically specified by the deployer. optional#

Code:
click to view
# Number of lines of code in get_ip_allocation_policy: 4
sub get_ip_allocation_policy {
my ($self, %args) = @_;
return $self->{'ip_allocation_policy'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_ip_protocol | ( |  | ) |

Gets the value of 'ip_protocol' property.

Return values

  ip_protocol | - The current value of the field. Specifies the chosen IP protocol for this deployment. This must be one of the IP protocols supported by the guest software. See :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.supported_ip_protocol` . optional#

Code:
click to view
# Number of lines of code in get_ip_protocol: 4
sub get_ip_protocol {
my ($self, %args) = @_;
return $self->{'ip_protocol'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_supported_allocation_scheme | ( |  | ) |

Gets the value of 'supported_allocation_scheme' property.

Return values

  supported_allocation_scheme | - The current value of the field. Specifies the IP allocation schemes supported by the guest software. This field defines the valid values for the IP allocation policy. This setting is often configured by the virtual appliance template author or OVF package author to reflect what the guest software supports, and the IP allocation policy is configured at deployment time. See :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.ip_allocation_policy` . optional#

Code:
click to view
# Number of lines of code in get_supported_allocation_scheme: 4
sub get_supported_allocation_scheme {
my ($self, %args) = @_;
return $self->{'supported_allocation_scheme'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_supported_ip_allocation_policy | ( |  | ) |

Gets the value of 'supported_ip_allocation_policy' property.

Return values

  supported_ip_allocation_policy | - The current value of the field. Specifies the IP allocation policies supported. The set of valid options for the policy is based on the capabilities of the virtual appliance software, as specified by the :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.supported_allocation_scheme` field* . optional#

Code:
click to view
# Number of lines of code in get_supported_ip_allocation_policy: 4
sub get_supported_ip_allocation_policy {
my ($self, %args) = @_;
return $self->{'supported_ip_allocation_policy'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_supported_ip_protocol | ( |  | ) |

Gets the value of 'supported_ip_protocol' property.

Return values

  supported_ip_protocol | - The current value of the field. Specifies the IP protocols supported by the guest. optional#

Code:
click to view
# Number of lines of code in get_supported_ip_protocol: 4
sub get_supported_ip_protocol {
my ($self, %args) = @_;
return $self->{'supported_ip_protocol'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::IpAllocationParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{supported_allocation_scheme} = $args{'supported_allocation_scheme'};
$self->{supported_ip_allocation_policy} = $args{'supported_ip_allocation_policy'};
$self->{ip_allocation_policy} = $args{'ip_allocation_policy'};
$self->{supported_ip_protocol} = $args{'supported_ip_protocol'};
$self->{ip_protocol} = $args{'ip_protocol'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::IpAllocationParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.ip_allocation_params');
$self->set_binding_field('key' => 'supported_allocation_scheme', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'IpAllocationParams::IpAllocationScheme'))));
$self->set_binding_field('key' => 'supported_ip_allocation_policy', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'IpAllocationParams::IpAllocationPolicy'))));
$self->set_binding_field('key' => 'ip_allocation_policy', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'IpAllocationParams::IpAllocationPolicy')));
$self->set_binding_field('key' => 'supported_ip_protocol', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'IpAllocationParams::IpProtocol'))));
$self->set_binding_field('key' => 'ip_protocol', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'IpAllocationParams::IpProtocol')));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_ip_allocation_policy | ( |  | ) |

Sets the given value for 'ip_allocation_policy' property.

Parameters

  ip_allocation_policy | - New value for the field. Specifies how IP allocation is done through an IP Pool. This is typically specified by the deployer.

Code:
click to view
# Number of lines of code in set_ip_allocation_policy: 5
sub set_ip_allocation_policy {
my ($self, %args) = @_;
$self->{'ip_allocation_policy'} = $args{'ip_allocation_policy'};
return;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_ip_protocol | ( |  | ) |

Sets the given value for 'ip_protocol' property.

Parameters

  ip_protocol | - New value for the field. Specifies the chosen IP protocol for this deployment. This must be one of the IP protocols supported by the guest software. See :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.supported_ip_protocol` .

Code:
click to view
# Number of lines of code in set_ip_protocol: 5
sub set_ip_protocol {
my ($self, %args) = @_;
$self->{'ip_protocol'} = $args{'ip_protocol'};
return;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_supported_allocation_scheme | ( |  | ) |

Sets the given value for 'supported_allocation_scheme' property.

Parameters

  supported_allocation_scheme | - New value for the field. Specifies the IP allocation schemes supported by the guest software. This field defines the valid values for the IP allocation policy. This setting is often configured by the virtual appliance template author or OVF package author to reflect what the guest software supports, and the IP allocation policy is configured at deployment time. See :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.ip_allocation_policy` .

Code:
click to view
# Number of lines of code in set_supported_allocation_scheme: 5
sub set_supported_allocation_scheme {
my ($self, %args) = @_;
$self->{'supported_allocation_scheme'} = $args{'supported_allocation_scheme'};
return;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_supported_ip_allocation_policy | ( |  | ) |

Sets the given value for 'supported_ip_allocation_policy' property.

Parameters

  supported_ip_allocation_policy | - New value for the field. Specifies the IP allocation policies supported. The set of valid options for the policy is based on the capabilities of the virtual appliance software, as specified by the :attr:`Com::Vmware::Vcenter::Ovf::IpAllocationParams.supported_allocation_scheme` field* .

Code:
click to view
# Number of lines of code in set_supported_ip_allocation_policy: 5
sub set_supported_ip_allocation_policy {
my ($self, %args) = @_;
$self->{'supported_ip_allocation_policy'} = $args{'supported_ip_allocation_policy'};
return;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_supported_ip_protocol | ( |  | ) |

Sets the given value for 'supported_ip_protocol' property.

Parameters

  supported_ip_protocol | - New value for the field. Specifies the IP protocols supported by the guest.

Code:
click to view
# Number of lines of code in set_supported_ip_protocol: 5
sub set_supported_ip_protocol {
my ($self, %args) = @_;
$self->{'supported_ip_protocol'} = $args{'supported_ip_protocol'};
return;
}

public method Com::Vmware::Vcenter::Ovf::IpAllocationParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/IpAllocationParams.pm